import { r as registerInstance, h } from './index-9b92d025.js';
import { F as FetchHttpClient, B as BASE_URL } from './fetch-http-client-63548cbe.js';

class RemoteGetAccountSummary {
  constructor(url, httpGetClient) {
    this.url = url;
    this.httpGetClient = httpGetClient;
  }
  async summary(params) {
    const httpResponse = await this.httpGetClient.get({
      url: this.url,
      query: params,
      headers: {
        "Content-Type": "application/json",
        "Accept": "application/json"
      },
    });
    return httpResponse;
  }
}

const AccountSummaryFactory = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    let httpClient = FetchHttpClient.getInstance();
    const getAccountSummary = new RemoteGetAccountSummary(`${BASE_URL}/accounts/totals`, httpClient);
    return h("account-summary-component", { getAccountSummary: getAccountSummary });
  }
};

export { AccountSummaryFactory as account_summary_component_factory };
