import { r as registerInstance, h } from './index-9b92d025.js';

class AppDate extends Date {
  constructor() {
    super(...arguments);
    this.shortMonthNames = [
      "Jan", "Feb", "Mar", "Apr", "May", "Jun",
      "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
    ];
  }
  toStandardDate() {
    var mm = this.getMonth() + 1;
    var dd = this.getDate();
    return [this.getFullYear(), '-',
      (mm > 9 ? '' : '0') + mm, '-',
      (dd > 9 ? '' : '0') + dd
    ].join('');
  }
  toDateMonthStr() {
    var dd = this.getDate();
    return [
      (dd > 9 ? '' : '0') + dd, ", ",
      this.shortMonthNames[this.getMonth()]
    ].join('');
  }
}

const accountTransactionComponentCss = "";

const AccountTransactionComponent = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    let credit = this.transaction.type == 'credit' ? true : false;
    return h("li", { class: "p-2 pr-0 flex border-t pb-5 rounded-5 border-blue-100" }, h("div", { class: `text-2xl flex-initial rounded-full h-24 w-24 flex text-white items-center justify-center font-medium ` + (credit ? "bg-green-300" : 'bg-red-300') }, "\u20B9", this.transaction.amount), h("div", { class: "flex-1" }, h("div", { class: "text-xs float-right rounded-l-full py-1 px-4 bg-gray-300" }, (new AppDate()).toDateMonthStr()), h("div", { class: "pl-5" }, h("div", { class: "text-lg pr-16" }, this.transaction.title), h("div", { class: "text-sm text-gray-400" }, this.transaction.description))));
  }
};
AccountTransactionComponent.style = accountTransactionComponentCss;

export { AccountTransactionComponent as account_transaction_component };
