import { r as registerInstance, h } from './index-9b92d025.js';
import { F as FetchHttpClient, B as BASE_URL } from './fetch-http-client-63548cbe.js';

class RemoteGetTransactionList {
  constructor(url, httpGetClient) {
    this.url = url;
    this.httpGetClient = httpGetClient;
  }
  async get(params) {
    const httpResponse = await this.httpGetClient.get({
      url: this.url,
      query: params,
      headers: {
        "Content-Type": "application/json",
        "Accept": "application/json"
      },
    });
    return httpResponse;
  }
}

const AccountTransactionListComponentFactory = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    let httpClient = FetchHttpClient.getInstance();
    const remoteGetCategoryList = new RemoteGetTransactionList(`${BASE_URL}/account_transactions`, httpClient);
    return h("account-transaction-list-component", { getAccountTransactionList: remoteGetCategoryList });
  }
};

export { AccountTransactionListComponentFactory as account_transaction_list_component_factory };
