import { r as registerInstance, h } from './index-9b92d025.js';

const accountTransactionListComponentCss = "";

const AccountTransactionListComponent = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  /**
   * When component loads
   * fetch account transactions
   *
   * @returns
   */
  componentWillLoad() {
    return this.fetchAccountTransactions();
  }
  /**
   * Fetch account transactions
   */
  async fetchAccountTransactions() {
    this.loading = true;
    let result = await this.getAccountTransactionList.get({});
    if (result)
      this.transactions = result.account_transactions;
    this.loading = false;
  }
  render() {
    return h("div", null, h("ul", { class: "list-none" }, this.transactions.map(t => {
      return h("account-transaction-component", { transaction: t });
    })));
  }
};
AccountTransactionListComponent.style = accountTransactionListComponentCss;

export { AccountTransactionListComponent as account_transaction_list_component };
